updaty Fedory 6

Sorry, ze se zase na neco ptam, ale ja z Fedorou vicemene zacinam.

Pravidelne instaluju updaty balicku z webu a uz dva dny mi to pise :

Chyba v prubehu aktualizace software

Details

[(‘file /usr/lib/libpcsclite.so.1.0.0 from install of libpcsclite1-1.3.2-8.fc6.at conflicts with file from package pcsc-lite-libs-1.3.1-7’, (7, ‘/usr/lib/libpcsclite.so.1.0.0’, 0L)), (‘file /usr/lib/libclamav.so.1.0.18 from install of clamav-0.88.6-23.fc6.at conflicts with file from package clamav-lib-0.88.6-1.fc6’, (7, ‘/usr/lib/libclamav.so.1.0.18’, 0L)), (‘file /etc/freshclam.conf from install of clamav-0.88.6-23.fc6.at conflicts with file from package clamav-update-0.88.6-1.fc6’, (7, ‘/etc/freshclam.conf’, 0L)), (‘file /usr/bin/freshclam from install of clamav-0.88.6-23.fc6.at conflicts with file from package clamav-update-0.88.6-1.fc6’, (7, ‘/usr/bin/freshclam’, 0L))]

proste balicky clamav a pcsc-lite nejdou aktualizovat.

Nemate nekdo podobny problem ?

A je ten update ze stejneho repozitare jako nainstalovana verze?
Rekl bych, ze ne a ze spolu nejsou kompatibilni…
Taky se me nabizi nekolik updatu z atrpms, dag a freshrpms a radsi je neinstaluju.
Jde nejak vypsat u nainstalovanych baliku ze ktereho zdroje jsou? A neslo by nekde nastavit aby se updatovaly baliky pouze ze stejneho zdroje odkud byly nainstalovany?
To uz bych toho asi chtel moc co?

“A je ten update ze stejneho repozitare jako nainstalovana verze?”

No prave, tomu nerozumim, jake repozitare ? Ja do Fedory ty balicky istaloval pres pridat software a vubec preci updaty by meli jit updatovat vzdy ? (Mozna kecam, ale kdyz to vemu podle windows (blbost co), tak tam kdyz je na neco update, tak jde nainstalovat vzdy.) Ledaze bych mel treba verzi CZ a chtel instalovat verzi EN, ale zase ta by me nikdy nevyzvala k updatu.

respozitare su linky s ktorych tahas update…

moze sa stat ze mas viac respozitarov: fedora, livna, atrpms atd… a nainstalujes nejaky soft napr z Livna… a napise ti ze novsia verzia je na atrpms tym padom moze dojst k tomu konfliktu kniznic… treba robit Update LEN s originalnych respozitarov… dodatocne ktore si si tam dal pouzivaj len na instalaciu noveho softu ale nie na update…

dufam ze som nenapisal blbost :slight_smile:

Ne - je to skutečne tak. O moznem konfliktu balicku pri pouziti ruznych repozitaru se zminuje i Covex ve svem navodu. Je to tak, jak psal Garcia. Repozitar je “skladiste” aplikaci na Internetu, ze ktereho muzete stahovat nove aplikace popr. provadet update stavajicich.

Nainstalujete si aplikaci z jednoho repozitare, ktera si s sebou stahne dalsi “spratelene” balicky. Pak chcete nainstalovat jinou aplikaci z jineho repozitare, ktera ma opet tendenci si ze sveho repozitare stahnout dalsi balicky. Jednotlive balicky mohou byt v ruzne verzi - zatimco prvni aplikace potrebovala balicek verze 1.3.0, druha potrebuje 1.3.1. Vysledkem je tak kolize…

Ja osobne se snazim krome standardnich repozitaru (nastaveny uz po instalaci) pouzivat pouze repozitare Livna.

Macky

A co odpovědi na ty moje otázky?
Jde nejak vypsat u nainstalovanych baliku ze ktereho zdroje jsou? A neslo by nekde nastavit aby se updatovaly baliky pouze ze stejneho zdroje odkud byly nainstalovany?

Pokud totiž něco nainstaluju třeba z atrpms a později se objeví na atrpms update tak už těžko zjistím jestli jsem to původně instaloval odtud nebo odjinud. A takový updaty jsou mnohdy celkem užitečná věc :wink:

Presne jak to pise macky. Jen upresnim ze problem je s repozitarem ATrpms. Nedoporucuji tento repozitar momentalne trvale pouzivat spolecne s livna a mozna zatim lepe nepouzivat vubec. Je v nem spousta koliznich baliku. Proc to nevim.

Kazdopadne smazte nebo presunte nekam jinam soubor
/etc/yum.repos.d/atrpm.repo
nebo do nej nakonec pridejte
enabled=0

Odkud balik je zjistite pomoci yum list installed. Atrpm pridava nakonec .at, livna .lvn6 pro FC6. Ostatni repozitare nevim. Jde to taky pomoci yum search jmeno baliku vam vypise z jakeho repozitare je dostupny.

Tak jsem na ten atrpm.repo nahodil enabled=0 ale porad mi to pise, ze jsou 2 aktualizace (predpokladam ty clamav a pcsc-lite) pripraveny k updatu (2 updates available), kdyz ale dam apply updates, tak mi to napise, v tuto chvili nejsou k dispozici zadne aktualizace pro vas system, takze atrpm.repo ten problem skutecne zpusoboval, diky za reseni a jestli by jste nekdo jeste nevedel, jak se zbavit te hlasky o tech dvou aktualizaci. Predpokladam, ze se to nekam zapsalo a ted se to neumi samo zrusit.

zrusit by to melo jit prikazem
yum clean all

bohuzel nejde.

A to ze jsou pripraveny dve aktualizace pise co? Jestli ta ikona v liste tak bych se tim nezalamoval, po restartu urcite zmizi. Dulezity je co rika
yum check-update
pokud nic nenabizi tak ten repozitar je odstranenej.

jj po restartu zmizela

diky vsem za pomoc.

Doporucuji vam zkontrolovat zda z ATrpms nemate uz nejak aktualizace
yum list installed | grep “.at”
pokud ano mohlo by to delat v budoucnu problemy. Rozlisujte co jste z ATrpms chtel nainstalovat a co se vam nainstalovalo behem aktualizaci.